org.eclipse.emf.cdo.server

## Interface IView

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOCommonView, CDOLockOwner, CDORevisionProvider, CDOTimeProvider, Closeable, IAdaptable, IOptionsContainer, IPropertiesContainer
  All Known Subinterfaces:
    InternalTransaction, InternalView, ITransaction

      public interface IView
      extends CDOCommonView

  The server-side representation of a client `view`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `CDOCommonView.Options`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepository` | `getRepository()`
    `ISession` | `getSession()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `getDurableLockingID, getViewID, isHistorical, isReadOnly, options`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockOwner

      `getSessionID, isDurableView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository()

      Since:
        2.0

    - #### getSession

          ISession getSession()

      Specified by:
        `getSession` in interface `CDOCommonView`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html